<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for LCcdRequestingService StructType
 * @subpackage Structs
 */
class LCcdRequestingService extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The description
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $description;
    /**
     * The isActivated
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $isActivated;
    /**
     * The routePartitionName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $routePartitionName;
    /**
     * The learnedPatternPrefix
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $learnedPatternPrefix;
    /**
     * The pstnPrefix
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $pstnPrefix;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for LCcdRequestingService
     * @uses LCcdRequestingService::setName()
     * @uses LCcdRequestingService::setDescription()
     * @uses LCcdRequestingService::setIsActivated()
     * @uses LCcdRequestingService::setRoutePartitionName()
     * @uses LCcdRequestingService::setLearnedPatternPrefix()
     * @uses LCcdRequestingService::setPstnPrefix()
     * @uses LCcdRequestingService::setUuid()
     * @param string $name
     * @param string $description
     * @param string $isActivated
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $routePartitionName
     * @param string $learnedPatternPrefix
     * @param string $pstnPrefix
     * @param string $uuid
     */
    public function __construct($name = null, $description = null, $isActivated = null, \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $routePartitionName = null, $learnedPatternPrefix = null, $pstnPrefix = null, $uuid = null)
    {
        $this
            ->setName($name)
            ->setDescription($description)
            ->setIsActivated($isActivated)
            ->setRoutePartitionName($routePartitionName)
            ->setLearnedPatternPrefix($learnedPatternPrefix)
            ->setPstnPrefix($pstnPrefix)
            ->setUuid($uuid);
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LCcdRequestingService
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LCcdRequestingService
     */
    public function setDescription($description = null)
    {
        $this->description = $description;
        return $this;
    }
    /**
     * Get isActivated value
     * @return string|null
     */
    public function getIsActivated()
    {
        return $this->isActivated;
    }
    /**
     * Set isActivated value
     * @param string $isActivated
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LCcdRequestingService
     */
    public function setIsActivated($isActivated = null)
    {
        $this->isActivated = $isActivated;
        return $this;
    }
    /**
     * Get routePartitionName value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getRoutePartitionName()
    {
        return $this->routePartitionName;
    }
    /**
     * Set routePartitionName value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $routePartitionName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LCcdRequestingService
     */
    public function setRoutePartitionName(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $routePartitionName = null)
    {
        $this->routePartitionName = $routePartitionName;
        return $this;
    }
    /**
     * Get learnedPatternPrefix value
     * @return string|null
     */
    public function getLearnedPatternPrefix()
    {
        return $this->learnedPatternPrefix;
    }
    /**
     * Set learnedPatternPrefix value
     * @param string $learnedPatternPrefix
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LCcdRequestingService
     */
    public function setLearnedPatternPrefix($learnedPatternPrefix = null)
    {
        $this->learnedPatternPrefix = $learnedPatternPrefix;
        return $this;
    }
    /**
     * Get pstnPrefix value
     * @return string|null
     */
    public function getPstnPrefix()
    {
        return $this->pstnPrefix;
    }
    /**
     * Set pstnPrefix value
     * @param string $pstnPrefix
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LCcdRequestingService
     */
    public function setPstnPrefix($pstnPrefix = null)
    {
        $this->pstnPrefix = $pstnPrefix;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LCcdRequestingService
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
